package de.intevation.gnv.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;


/**
 * @author Ingo Weinzierl (ingo.weinzierl@intevation.de)
 */
public class CreateChartAction extends DescribeUIAction {

    private static Logger logger = Logger.getLogger(CreateChartAction.class);


    public CreateChartAction() {
        super();
    }


    @Override
    public ActionForward execute(
        ActionMapping       mapping,
        ActionForm          form,
        HttpServletRequest  request,
        HttpServletResponse response)
    throws Exception {
        logger.debug("Create chart.");

        request.setAttribute("chart", true);

        return super.execute(mapping, form, request, response);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
